Skip to content

Processes the income verifications for the accounts supplied.

Request

Processes the income verifications for the accounts supplied.

Security
Bearer(Required scopes: api:data)
Body
accountIdstring, non-emptyrequired

Unique identifier for the account to be verified for income

includeFlagsboolean

Includes the flags used to calculate the confidence score

excludeBenefitsboolean

Excludes the benefits from the income streams

currencyCodestring, non-emptyrequired

Currency code for the transactions, currently supported codes are GBP and USD.

transactionsArray of objects or null(DirectID.Data.API.Models.IncomeVerification.Request.API.IncomeVerificationTransaction)
curl -i -X POST \
  https://uk.api.atto.co/insights-engine/v1/income-verification \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "accountId": "string",
    "includeFlags": true,
    "excludeBenefits": true,
    "currencyCode": "string",
    "transactions": [
      {
        "transactionId": "string",
        "description": "string",
        "amount": 0.1,
        "creditDebitIndicator": "Credit",
        "status": "Pending",
        "bookingDate": "string"
      }
    ]
  }'

Responses

Income Verification result for the supplied accounts

Bodyapplication/json
Array [
accountIdstring or null
incomeStreamsArray of objects or null(DirectID.Data.API.Models.IncomeVerification.Response.IncomeStream)
incomeStreamsSummaryobject(DirectID.Data.API.Models.IncomeVerification.Response.IncomeStreamsSummary)
]
Response
{ "referenceId": "Ref_1", "countryCode": "GB", "currencyCode": "GBP", "affordabilityMonths": [ { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … } ], "estimatedCalculatedIncome": 2612.62, "estimatedFixedCosts": 1448.6, "estimatedFlexibleCosts": 804.62, "estimatedDebtFees": 0, "estimatedAffordability": 359.4 }